# ezQuake Manual: Chat Settings Variables

## auth_viewcrc

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | the client shows you the authentication CRC in f_version responses.
0 | the client hides the authentication CRC in f_version responses.

## cl_chatsound

### Description

Controls usage of con_sound_* variables.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
0 | Do not use con_sound_* variables settings.
1 | Use settings from con_sound_* for char sounds.
2 | Only play sounds in mm2.

## cl_floodprot

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Enable floodprot.
0 | Disable floodprot.

## cl_fp_messages

### Description

This variable is used in conjunction with the variable "cl_fp_persecond" to define when the floodprot protection should be triggered (if "cl_floodprot" is set to "1").

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 4

Variable is float.

## cl_fp_persecond

### Description

This variable is used in conjunction with the variable "cl_fp_messages" to define when the floodprot protection should be triggered (if "cl_floodprot" is set to "1").

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 4

Variable is float.

## cl_nofake

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

### Values

value | description
0 | No unfaking.
1 | Unfake other players messages.
2 | Unfake messages from enemies.

## cl_parseFunChars

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | You can use Ocrana LED's by hand right out of the console and chat anonymously through "$\" without showing your name (chat messages that are seen without your name at the beginning).
0 | Off.

Full list: $R - red lamp $G - green lamp $B - blue lamp $Y - yellow lamp $\ - carridge return $( - big left bracket $= - big equal sign $) - big right bracket $. - red middle dot $, - white dot (names only) $< - small left bracket $- - small equal sign $> - small right bracket $a - big grey block $: - line feed $b - filled red block $d - right pointing red arrow $[ - gold left square bracket $] - gold right square bracket $^ - white ^ (names only) ^x - red x (names only) $0-9 - yellow number $xyy - char with hex code yy (In order to use the lamps, you'll need the Ocrana pak).

## cl_parseSay

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | You can use macros such as %a %h %l (like in Qizmo).
0 | Disable %-macros (%a %h %b etc...)

## cl_parseWhiteText

### Description

Convert text between { and } to white or not in chat/team chat.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
0 | Convert none.
1 | Convert all (chat and team chat).
2 | Convert team chat only.

## ignore_flood

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Off.
1 | Ignores repeated 'say' and spectator messages.
2 | Ignores repeated 'say', 'say_team' and spectator messages.

## ignore_flood_duration

### Description

You can change the 4 second cooldown with the 'ignore_flood_duration' variable.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 4

Variable is float.

## ignore_mode

### Description

Someone is on your ignore list, you won't see any messagemode (/say hello) messages from them (even if they are a spec).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Ignore say_team too.
0 | Ignore say only.

## ignore_opponents

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Do not ignore opponent team.
1 | Alway ignore opponent team.
2 | Only ignore opponent team during the match.

## ignore_qizmo_spec

### Description

Ignores all Qizmo spectators (= observers). Very useful on big matches with 100 and more spectators.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Ignoring ON.
0 | Ignoring OFF.

## ignore_spec

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Off
1 | Ignore spec chat unless you are a spectator.
2 | Ignore spec chat even if you are a spectator.

## msg_filter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Filters nothing (default)
1 | Filters mm1 and spec messages
2 | Filters mm2 messages
3 | Filters mm1, mm2, and spec messages

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz